Subject: bug#48798: 26.3; `define-minor-mode': Message should name the current buffer where enabled/disabled

From: Drew Adams <[email-masked]>
Date: Sat, 28 Jan 2023 21:55:54 +0000

> The same problem persists - bugs #33076 and #48798.
> 
> It's quite possible to not notice - or even not be
> able to easily see - which buffer is current when
> it's changed to/from read-only.  It  just makes
> sense to tell users which buffer is involved.
> 
> Really hard to believe this isn't obvious and the
> trivial fix wasn't applied.  This just makes life
> that much harder for users, with no benefit to Emacs.

Perhaps the problem is more noticeable if buffers
are in separate frames.  Especially since Emacs
has messed with frame focus so much (since Emacs
26, at least).  If the buffer you thought was
current with its window selected is not, for some
reason (e.g. gratuitous Emacs frame-focus switch),
then the message doesn't help at all if you have
multiple buffers in separate frames etc.

I'm guessing that this might be why Lars didn't
think this was a real problem.  It might be less
noticeable if you're not a victim of Emacs's
gratuitous frame focus-switching.

But even if that's not the case, I see no reason
why this shouldn't be fixed.  _Whatever_ the
reason might be why someone doesn't know or isn't
sure which buffer had the focus, why not have a
message that tells you what Emacs actually did?

Please reopen this bug and apply the trivial fix.
Thx.  I'd really not like to have to redefine
`define-minor-mode' for my own use, just to fix
this annoyance.  To me, this message improvement
for users should be a no-brainer.